--- title: "Join a Channel" slug: "join-a-channel" updated: 2026-09-03T14:50:33Z published: 2026-09-03T14:50:33Z canonical: "developer.rocket.chat/join-a-channel" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Join a Channel Post/api/v1/channels.join Join a public channel. ### Changelog | Version | Description | | --- | --- | | 0.49.0 | Added | Header parametersX-Auth-TokenstringRequired The `authToken` of the authenticated user. ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f X-User-IdstringRequired The `userId` of the authenticated user. ExamplerbAXPnMktTFbNpwtJ Body parametersExample ```json { "roomId": "ByehQjC44FwMeiLbX", "joinCode": "1234" } ``` object roomIdstring Required The channel ID. joinCodestring The join code of the room. Channels can be password-protected. In that case, users must enter the password for access. See [Channel information](https://docs.rocket.chat/docs/channels#channel-information) for details. The join code isn't needed if the user has the `join-without-join-code` permission. Responses200 OK Example ```json { "channel": { "_id": "nxXKHF2o2nzKYtFMM", "name": "test", "fname": "test", "t": "c", "msgs": 8, "usersCount": 2, "u": { "_id": "rocketchat.internal.admin.test", "username": "rocketchat.internal.admin.test" }, "customFields": {}, "broadcast": false, "encrypted": false, "ts": "2019-01-16T12:00:04.783Z", "ro": false, "sysMes": true, "default": false, "_updatedAt": "2019-01-16T12:06:30.426Z", "joinCodeRequired": true }, "success": true } ``` Expand Allobject channelobject _idstring fnamestring customFieldsobject topicstring broadcastboolean encryptedboolean namestring tstring msgsinteger usersCountinteger uobject _idstring usernamestring tsstring roboolean defaultboolean sysMesboolean _updatedAtstring lastMessageobject _idstring ridstring msgstring tsstring uobject _idstring usernamestring namestring _updatedAtstring urls Array of object object mentions Array of object object channels Array of object object md Array of object object typestring value Array of object object typestring valuestring lmstring successboolean 401 Unauthorized Authorization Error ```json { "status": "error", "message": "You must be logged in to do this." } ``` object statusstring messagestring